Skip to main content
GET
/
open
/
v1
/
deduction
/
order
/
list
cURL
curl --request GET \
  --url http://sandbox.mintlify.com/open/v1/deduction/order/list \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "subscriptionOrderNo": "70778338049917032",
  "page": 1,
  "count": 10
}
'
{
  "code": "0",
  "message": "",
  "data": {
    "total": 1,
    "list": [
      {
        "subscriptionOrderNo": "70778338049917032",
        "merchantSubscriptionOrderNo": "rhys-81",
        "planNo": "70778338049916930",
        "paymentOrderNo": "70778338049917033",
        "merchantDeductNo": "",
        "txHash": "0x658d3a403a4d6879dfd94229270a13e04249b50020ead15f6b7dceeb11286aee",
        "merchantId": "10002",
        "cryptoCurrency": "USDT",
        "chain": "BSC",
        "userAddress": "0xbe6D780C23E77D979Fad5FbEa249a44E5cAC0463",
        "merchantAddress": "0xeEfAe46E6551E54879C80C16882f745c25361473",
        "cryptoAmount": "0.01000000",
        "isDiscounted": false,
        "payTime": 1773989575000,
        "payStatus": "SUCCESS",
        "description": null,
        "failReason": null
      }
    ]
  },
  "success": true
}

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID, obtained from GatePay platform application

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

HMAC-SHA256 signature, used to verify request legitimacy

Example:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
required

Timestamp (milliseconds), time difference with server cannot exceed 5 minutes

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random number, used to prevent replay attacks

Example:

"9578"

Body

application/json

Query subscription payment deduction list request parameters

subscriptionOrderNo
string

Subscription order number (choose one with merchantSubscriptionOrderNo)

merchantSubscriptionOrderNo
string

Merchant subscription order number (choose one with subscriptionOrderNo)

payStatus
string

Deduction status filter: SUCCESS/FAIL/BLOCK

startTime
integer<int64>

Deduction start time, millisecond timestamp

endTime
integer<int64>

Deduction end time, millisecond timestamp, maximum 1 year

page
integer

Page number, starts from 0

count
integer

Number per page, maximum 100

Response

200 - application/json

Query subscription plan details successful

total
integer

Total count

list
object[]

Deduction record list